Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163413 - xfig unexpectedly exits after zooming in a couple of times
Summary: xfig unexpectedly exits after zooming in a couple of times
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfig
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 23:32 UTC by Yusuf Ma
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-18 14:16:31 UTC


Attachments (Terms of Use)
debug information about this bug (deleted)
2005-07-15 23:34 UTC, Yusuf Ma
no flags Details

Description Yusuf Ma 2005-07-15 23:32:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
xfig exits unexpectedly after I zoom in (Shift z) several times (8 times on my machine). The warning "buffer overflow detected" is displayed in terminal.

Version-Release number of selected component (if applicable):
xfig-3.2.4-11

How reproducible:
Always

Steps to Reproduce:
1. Run xfig
2. Zoom in continuously (choose View->Zoom In or press "Shift+Z") for eight times

  

Actual Results:  xfig exits unexpectedly

Expected Results:  xfig keeps zooming in or stop zooming in after reaching the limit

Additional info:

Comment 1 Yusuf Ma 2005-07-15 23:34:14 UTC
Created attachment 116827 [details]
debug information about this bug

Comment 2 Ngo Than 2005-07-18 13:35:13 UTC
i'm not able to reproduce this problem with your above steps! I need a testcase to 
reproduce this crash!

could you please install xfig-3.2.4-11-debuginfo package and try to get
the backtrace again. The current backtrace does not show usefull infos about
problem. Thanks


Comment 3 Ngo Than 2005-07-18 14:16:31 UTC
ok, it seems to reproduceable on x86 plattform now. It's now fixed in
xfig-3.2.4-12, which will be available in rawhide soon. Thanks for your report


Note You need to log in before you can comment on or make changes to this bug.